PineBook PRO KDE unstable

Thunderbird läßt sich wegen eines Abhängigkeitsproblems nicht installieren

hat da jemdand einen Tip für mich?

sudo pacman -S thunderbird
Löse Abhängigkeiten auf...
Warnung: Kann "libicui18n.so=67-64" nicht auflösen (eine Abhängigkeit von "thunderbird")
Warnung: Kann "libicuuc.so=67-64" nicht auflösen (eine Abhängigkeit von "thunderbird")
:: Das folgende Paket kann aufgrund nicht auflösbarer Abhängigkeiten nicht aktualisiert werden:
  thunderbird

:: Möchten Sie das obengenannte Paket bei dieser Aktualisierung überspringen? [j/N] 
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: Unerfüllbare Abhängigkeit 'libicui18n.so=67-64', benötigt von thunderbird
:: Unerfüllbare Abhängigkeit 'libicuuc.so=67-64', benötigt von thunderbird

Hi,

I tried on my odroid c2 to install thunderbird, no issue

[nlc2@c2 ~]$ sudo pacman -S thunderbird
[sudo] password for nlc2:
resolving dependencies…
looking for conflicting packages…

Packages (2) botan-2.17.2-2 thunderbird-78.4.3-0.1

Total Download Size: 54,35 MiB
Total Installed Size: 169,74 MiB

:: Proceed with installation? [Y/n] n
[nlc2@c2 ~]$

Is your device up to date ?

:: Synchronising package databases…
core 227,1 KiB 3,17 MiB/s 00:00 [###############################] 100%
extra 2,4 MiB 2,83 MiB/s 00:01 [###############################] 100%
community 5,6 MiB 2,82 MiB/s 00:02 [###############################] 100%
:: Starting full system upgrade…
there is nothing to do
[nlc2@c2 ~]$

did you tried with pamac ?

Yepp,

but the dependencies cold not be resolved - the 2 missing libraries could not be found and so also not installed

Did you try updating your package databases?

sudo pacman -Syyuu

Yepp, of course!

The thunderbird currently in unstable branch (arch linux arm) is not built against the new ICU yet.

I am looking into how to rebuild it, but it has been failing on me for the last couple of days.

Is there any way to have a build of the actual beta and/or nightly instead?

I managed to get Thunderbird 78.6.0-2 to build last night. So that is now uploaded to unstable branch.

The issue is that the new version of cbindgen results in some dom/webgpu errors when building Thunderbird. Building with an older version works fine.

Hopefully these errors are fixed for next release of Thunderbird.

Thanks a lot,

works now like a charm :slight_smile:

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.